---
title: /v2/advertisers/{advertiserId}/campaigns/search
slug: campaign-reporting-apis/v2advertisersadvertiseridcampaignssearch
docTags: 
createdAt: 2026-03-25T10:57:30.256Z
---

{
  "id": "j686MIt7nVKQbqZXS7Xsu",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/search",
    "servers": [
      {
        "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/search",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "<p>Retrieves filtered and paginated campaigns of the given advertiser based on user's access.</p>\n<p><strong>Rules:</strong></p>\n<ul>\n<li>The <em>values</em> array for the <em>MODIFIED_AFTER</em> filter must take exactly one value in the format <em>yyyy-MM-dd'T'HH:mm<div></div>.SSS'Z'</em> e.g. <em>{\"field\":\"MODIFIED_AFTER\", \"values\":[\"2025-02-05T12:34<div></div>.000Z\"]}</em>.</li>\n</ul>\n<p><strong>Notes:</strong></p>\n<ul>\n<li><em>sortType</em> defaults to ascending if not passed.</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "advertiserId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "CampaignSearchRequest",
          "schema": [
            {
              "name": "filters",
              "kind": "optional",
              "type": "array",
              "description": "",
              "modelRef": "#/components/schemas/FilterValuesCampaignFilterField",
              "customType": "FilterValuesCampaignFilterField[]",
              "schema": [
                {
                  "name": "field",
                  "kind": "optional",
                  "type": "string<STATUS | CAMPAIGN | MODIFIED_AFTER>",
                  "description": "",
                  "example": "",
                  "enum": [
                    "STATUS",
                    "CAMPAIGN",
                    "MODIFIED_AFTER"
                  ]
                },
                {
                  "name": "values",
                  "kind": "optional",
                  "type": "array",
                  "description": "",
                  "example": "",
                  "itemType": "object",
                  "customType": "object[]",
                  "itemExample": "",
                  "itemDefault": ""
                }
              ]
            },
            {
              "name": "page",
              "kind": "required",
              "type": "integer<int32>",
              "description": "",
              "example": 0,
              "format": "int32",
              "minimum": 0,
              "maximum": 1000
            },
            {
              "name": "limit",
              "kind": "required",
              "type": "integer<int32>",
              "description": "",
              "example": 0,
              "format": "int32",
              "minimum": 1,
              "maximum": 10000
            },
            {
              "name": "sortType",
              "kind": "optional",
              "type": "string<ASC | DESC>",
              "description": "",
              "example": "",
              "enum": [
                "ASC",
                "DESC"
              ]
            },
            {
              "name": "orderBy",
              "kind": "required",
              "type": "string<CAMPAIGN | STATUS | MARKET | BUDGET | BUDGET_SPENT | SPEND_VELOCITY | START_DATE | END_DATE>",
              "description": "",
              "example": "",
              "enum": [
                "CAMPAIGN",
                "STATUS",
                "MARKET",
                "BUDGET",
                "BUDGET_SPENT",
                "SPEND_VELOCITY",
                "START_DATE",
                "END_DATE"
              ]
            }
          ],
          "modelRef": "#/components/schemas/CampaignSearchRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ListResponseCampaignResponseVoid",
            "schema": [
              {
                "name": "detailed",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/CampaignResponse",
                "customType": "CampaignResponse[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0,
                    "format": "int32"
                  },
                  {
                    "name": "marketId",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0,
                    "format": "int32"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string<ADVERTISED | ARCHIVED | PAUSED>",
                    "description": "",
                    "example": "",
                    "enum": [
                      "ADVERTISED",
                      "ARCHIVED",
                      "PAUSED"
                    ]
                  },
                  {
                    "name": "budget",
                    "kind": "optional",
                    "type": "number",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "budgetSpent",
                    "kind": "optional",
                    "type": "number",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "budgetUnallocated",
                    "kind": "optional",
                    "type": "number",
                    "description": "The budget which is not used yet by the ad groups belonging to this campaign.",
                    "example": ""
                  },
                  {
                    "name": "deletable",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "spendVelocity",
                    "kind": "optional",
                    "type": "number<double>",
                    "description": "The pacing of the campaign measures budget efficiency over time, where a value of 1.0 reflects ideal spend considering temporal progress of the campaign, less than 1.0 underspending, and more than 1.0 overspending. The value is not set for campaign creation/update or whenever there is at least one ad group without end date.",
                    "example": "",
                    "format": "double"
                  },
                  {
                    "name": "startDate",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "The earliest start date of all ad groups belonging to this campaign.",
                    "example": "",
                    "format": "date-time"
                  },
                  {
                    "name": "endDate",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "The latest end date of all ad groups belonging to this campaign. Value is not set whenever there is at least one ad group without end date.",
                    "example": "",
                    "format": "date-time"
                  },
                  {
                    "name": "modifiedAt",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "",
                    "example": "",
                    "format": "date-time"
                  },
                  {
                    "name": "advertised",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": ""
                  }
                ]
              },
              {
                "name": "aggregated",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/AggregatedVoid",
                "customType": "AggregatedVoid",
                "schema": [
                  {
                    "name": "count",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "",
                    "example": 0,
                    "format": "int64"
                  },
                  {
                    "name": "metrics",
                    "kind": "optional",
                    "type": "",
                    "description": "",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ListResponseCampaignResponseVoid",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Unprocessable Entity",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "D3tuD4cTm9NvPTJ0gkCti",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/search \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"page\": 0,\n     \"limit\": 0,\n     \"orderBy\": \"\"\n     }'"
        },
        {
          "id": "MMOZ6am-dQfNt2ScT7o9b",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"page\": 0,\n   \"limit\": 0,\n   \"orderBy\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/search\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "HUglxzmmU4oj61ncRvWbZ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/search\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"page\": 0,\n   \"limit\": 0,\n   \"orderBy\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "GCkVdVsf55jjfsOZYxpjH",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/search\"\n\npayload = json.dumps({\n   \"page\": 0,\n   \"limit\": 0,\n   \"orderBy\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "D3tuD4cTm9NvPTJ0gkCti"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"detailed\": [\n    {\n      \"id\": \"\",\n      \"marketId\": \"\",\n      \"name\": \"\",\n      \"status\": \"\",\n      \"budget\": 0,\n      \"budgetSpent\": 0,\n      \"budgetUnallocated\": 0,\n      \"deletable\": false,\n      \"spendVelocity\": \"\",\n      \"startDate\": \"\",\n      \"endDate\": \"\",\n      \"modifiedAt\": \"\",\n      \"advertised\": false\n    }\n  ],\n  \"aggregated\": {\n    \"count\": \"\",\n    \"metrics\": \"\"\n  }\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-4-422",
          "language": "422",
          "code": "// Unprocessable Entity\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}